iSkeletonGraveyard Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSkeletonGraveyard Struct Reference

iSkeletonGraveyard is the interface that cares for all skeleton factories. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonGraveyard:

List of all members.

## Public Member Functions
virtual void | AddSkeleton (iSkeleton *skeleton)=0
| Add skeleton that will be updated by this graveyard.
virtual iSkeletonFactory * | CreateFactory (const char *name)=0
| Get skeleton factory by name.
virtual iSkeleton * | CreateSkeleton (iSkeletonFactory *fact, const char *name=0)=0
| Create skeleton from specific factory.
virtual iSkeletonFactory * | FindFactory (const char *name)=0
| Find skeleton factory by name.
virtual size_t | GetFactoriesCount ()=0
| Get number of skeleton factories.
virtual iSkeletonFactory * | LoadFactory (const char *file_name)=0
| Load skeleton factory from file.
virtual void | RemoveSkeleton (iSkeleton *skeleton)=0
| Remove a skeleton again.
virtual void | SetManualUpdates (bool man_updates)=0
| Set manual updates handling mode.
virtual void | Update (csTicks time)=0
| Set manual updates handling mode.

## Detailed Description

iSkeletonGraveyard is the interface that cares for all skeleton factories.

It can be accessed via object registry. Also it holds and updates all existing skeleton objects.

Definition at line 891 of file skeleton.h.

## Member Function Documentation

virtual void iSkeletonGraveyard::AddSkeleton | ( | iSkeleton * | skeleton | ) | `[pure virtual]`

Add skeleton that will be updated by this graveyard.

virtual iSkeletonFactory* iSkeletonGraveyard::CreateFactory | ( | const char * | name | ) | `[pure virtual]`

Get skeleton factory by name.

virtual iSkeleton* iSkeletonGraveyard::CreateSkeleton | ( | iSkeletonFactory * | fact,
|  | const char * | name = `0`
| ) |  | `[pure virtual]`

Create skeleton from specific factory.

virtual iSkeletonFactory* iSkeletonGraveyard::FindFactory | ( | const char * | name | ) | `[pure virtual]`

Find skeleton factory by name.

virtual size_t iSkeletonGraveyard::GetFactoriesCount | ( |  | ) | `[pure virtual]`

Get number of skeleton factories.

virtual iSkeletonFactory* iSkeletonGraveyard::LoadFactory | ( | const char * | file_name | ) | `[pure virtual]`

Load skeleton factory from file.

virtual void iSkeletonGraveyard::RemoveSkeleton | ( | iSkeleton * | skeleton | ) | `[pure virtual]`

Remove a skeleton again.

virtual void iSkeletonGraveyard::SetManualUpdates | ( | bool | man_updates | ) | `[pure virtual]`

Set manual updates handling mode.

virtual void iSkeletonGraveyard::Update | ( | csTicks | time | ) | `[pure virtual]`

Set manual updates handling mode.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h